# Function default

- default(req, res, next): void

- #### Parameters

  - req: Request<ParamsDictionary, any, any, ParsedQs, Record<string, any>>
  - res: Response<any, Record<string, any>, number>
  - next: NextFunction

  #### Returns void

  - Defined in work/deeplinks/deeplinks/imports/router/index.ts:9

#####
Index

### Properties

all
checkout
connect
copy
delete
get
head
link
lock
m-search
merge
mkactivity
mkcol
move
notify
options
patch
post
propfind
proppatch
purge
put
report
search
stack
subscribe
trace
unlink
unlock
unsubscribe
use

### Methods

param
route

##
Properties

### all

all: IRouterMatcher<IRouter, "all">

Special-cased "all" method, applying the given route `path`, middleware, and callback to every HTTP method.

- Defined in work/deeplinks/deeplinks/node_modules/@types/express-serve-static-core/index.d.ts:257

### checkout

checkout: IRouterMatcher<IRouter, any>

- Defined in work/deeplinks/deeplinks/node_modules/@types/express-serve-static-core/index.d.ts:266

### connect

connect: IRouterMatcher<IRouter, any>

- Defined in work/deeplinks/deeplinks/node_modules/@types/express-serve-static-core/index.d.ts:267

### copy

copy: IRouterMatcher<IRouter, any>

- Defined in work/deeplinks/deeplinks/node_modules/@types/express-serve-static-core/index.d.ts:268

### delete

delete: IRouterMatcher<IRouter, "delete">

- Defined in work/deeplinks/deeplinks/node_modules/@types/express-serve-static-core/index.d.ts:261

### get

get: IRouterMatcher<IRouter, "get">

- Defined in work/deeplinks/deeplinks/node_modules/@types/express-serve-static-core/index.d.ts:258

### head

head: IRouterMatcher<IRouter, "head">

- Defined in work/deeplinks/deeplinks/node_modules/@types/express-serve-static-core/index.d.ts:264

### link

link: IRouterMatcher<IRouter, any>

- Defined in work/deeplinks/deeplinks/node_modules/@types/express-serve-static-core/index.d.ts:285

### lock

lock: IRouterMatcher<IRouter, any>

- Defined in work/deeplinks/deeplinks/node_modules/@types/express-serve-static-core/index.d.ts:269

### m-search

m-search: IRouterMatcher<IRouter, any>

- Defined in work/deeplinks/deeplinks/node_modules/@types/express-serve-static-core/index.d.ts:274

### merge

merge: IRouterMatcher<IRouter, any>

- Defined in work/deeplinks/deeplinks/node_modules/@types/express-serve-static-core/index.d.ts:270

### mkactivity

mkactivity: IRouterMatcher<IRouter, any>

- Defined in work/deeplinks/deeplinks/node_modules/@types/express-serve-static-core/index.d.ts:271

### mkcol

mkcol: IRouterMatcher<IRouter, any>

- Defined in work/deeplinks/deeplinks/node_modules/@types/express-serve-static-core/index.d.ts:272

### move

move: IRouterMatcher<IRouter, any>

- Defined in work/deeplinks/deeplinks/node_modules/@types/express-serve-static-core/index.d.ts:273

### notify

notify: IRouterMatcher<IRouter, any>

- Defined in work/deeplinks/deeplinks/node_modules/@types/express-serve-static-core/index.d.ts:275

### options

options: IRouterMatcher<IRouter, "options">

- Defined in work/deeplinks/deeplinks/node_modules/@types/express-serve-static-core/index.d.ts:263

### patch

patch: IRouterMatcher<IRouter, "patch">

- Defined in work/deeplinks/deeplinks/node_modules/@types/express-serve-static-core/index.d.ts:262

### post

post: IRouterMatcher<IRouter, "post">

- Defined in work/deeplinks/deeplinks/node_modules/@types/express-serve-static-core/index.d.ts:259

### propfind

propfind: IRouterMatcher<IRouter, any>

- Defined in work/deeplinks/deeplinks/node_modules/@types/express-serve-static-core/index.d.ts:276

### proppatch

proppatch: IRouterMatcher<IRouter, any>

- Defined in work/deeplinks/deeplinks/node_modules/@types/express-serve-static-core/index.d.ts:277

### purge

purge: IRouterMatcher<IRouter, any>

- Defined in work/deeplinks/deeplinks/node_modules/@types/express-serve-static-core/index.d.ts:278

### put

put: IRouterMatcher<IRouter, "put">

- Defined in work/deeplinks/deeplinks/node_modules/@types/express-serve-static-core/index.d.ts:260

### report

report: IRouterMatcher<IRouter, any>

- Defined in work/deeplinks/deeplinks/node_modules/@types/express-serve-static-core/index.d.ts:279

### search

search: IRouterMatcher<IRouter, any>

- Defined in work/deeplinks/deeplinks/node_modules/@types/express-serve-static-core/index.d.ts:280

### stack

stack: ILayer[]

Stack of configured routes

- Defined in work/deeplinks/deeplinks/node_modules/@types/express-serve-static-core/index.d.ts:295

### subscribe

subscribe: IRouterMatcher<IRouter, any>

- Defined in work/deeplinks/deeplinks/node_modules/@types/express-serve-static-core/index.d.ts:281

### trace

trace: IRouterMatcher<IRouter, any>

- Defined in work/deeplinks/deeplinks/node_modules/@types/express-serve-static-core/index.d.ts:282

### unlink

unlink: IRouterMatcher<IRouter, any>

- Defined in work/deeplinks/deeplinks/node_modules/@types/express-serve-static-core/index.d.ts:286

### unlock

unlock: IRouterMatcher<IRouter, any>

- Defined in work/deeplinks/deeplinks/node_modules/@types/express-serve-static-core/index.d.ts:283

### unsubscribe

unsubscribe: IRouterMatcher<IRouter, any>

- Defined in work/deeplinks/deeplinks/node_modules/@types/express-serve-static-core/index.d.ts:284

### use

use: IRouterHandler<IRouter, string> & IRouterMatcher<IRouter, any>

- Defined in work/deeplinks/deeplinks/node_modules/@types/express-serve-static-core/index.d.ts:288

##
Methods

### param

- param(name, handler): this

- Map the given param placeholder `name`(s) to the given callback(s).

  Parameter mapping is used to provide pre-conditions to routes which use normalized placeholders. For example a :user_id parameter could automatically load a user's information from the database without any additional code,

  The callback uses the samesignature as middleware, the only differencing being that the value of the placeholder is passed, in this case the id of the user. Once the `next()` function is invoked, just like middleware it will continue on to execute the route, or subsequent parameter functions.

       app.param('user_id', function(req, res, next, id){
         User.find(id, function(err, user){
           if (err) {
             next(err);
           } else if (user) {
             req.user = user;
             next();
           } else {
             next(new Error('failed to load user'));
           }
         });
       });

  #### Parameters

  - name: string
  - handler: RequestParamHandler

  #### Returns this

  - Defined in work/deeplinks/deeplinks/node_modules/@types/express-serve-static-core/index.d.ts:244
- param(callback): this

- Alternatively, you can pass only a callback, in which case you have the opportunity to alter the app.param()

  #### Parameters

  - callback: ((name: string, matcher: RegExp) => RequestParamHandler)
    - - (name, matcher): RequestParamHandler

      - #### Parameters

        - name: string
        - matcher: RegExp

        #### Returns RequestParamHandler

  #### Returns this

  #### Deprecated

  since version 4.11

  - Defined in work/deeplinks/deeplinks/node_modules/@types/express-serve-static-core/index.d.ts:251

### route

- route<T>(prefix): IRoute<T>

- #### Type Parameters

  - T extends string

  #### Parameters

  - prefix: T

  #### Returns IRoute<T>

  - Defined in work/deeplinks/deeplinks/node_modules/@types/express-serve-static-core/index.d.ts:290
- route(prefix): IRoute<string>

- #### Parameters

  - prefix: PathParams

  #### Returns IRoute<string>

  - Defined in work/deeplinks/deeplinks/node_modules/@types/express-serve-static-core/index.d.ts:291